Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.impl
Class DefaultServerContextBuilder

    java.lang.Object
      org.directwebremoting.impl.DefaultServerContextBuilder

All Implemented Interfaces:
  ServerContextFactory.ServerContextBuilder

    public class DefaultServerContextBuilder

extends java.lang.Object
implements ServerContextFactory.ServerContextBuilder

A ServerContextBuilder that creates DefaultServerContexts.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`DefaultServerContextBuilder()`

Method Summary
`ServerContext` | `get(javax.servlet.ServletContext context)` Accessor for the current ServerContext
`void` | `set(javax.servlet.ServletConfig config, javax.servlet.ServletContext context, Container container)` Make the current webapp know what the current config/context is.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServerContextBuilder

    public DefaultServerContextBuilder()

Method Detail

### set

    public void set(javax.servlet.ServletConfig config,
                    javax.servlet.ServletContext context,
                    Container container)

  Description copied from interface: `ServerContextFactory.ServerContextBuilder`
  Make the current webapp know what the current config/context is. This method is only for use internally to DWR.

  Specified by:
    `set` in interface `ServerContextFactory.ServerContextBuilder`
  Parameters:
    `config` - The servlet configuration
    `context` - The servlet context
    `container` - The IoC container

### get

    public ServerContext get(javax.servlet.ServletContext context)

  Description copied from interface: `ServerContextFactory.ServerContextBuilder`
  Accessor for the current ServerContext

  Specified by:
    `get` in interface `ServerContextFactory.ServerContextBuilder`
  Parameters:
    `context` - The web application environment
  Returns:
    The ServerContext that is associated with this web application

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD